Subject: bug#5347: 23.1; M-x man: misreports absent man(1) as absent manpage.

From: "Trent W. Buck" <[email-masked]>
Date: Mon, 11 Jan 2010 10:59:31 +1100

Eli Zaretskii wrote:
> Why is the use-case of having man pages but not man(1) so important
> that it's worth catering to?

I was merely being pedantic re "cannot know" versus "not worth the
effort".  The original case arose because I forgot what system I was
on and ran man instead of woman, and the error briefly confused me.

A peonland solution would simply be to put in my .emacs:

    (unless (executable-find "man")
      (defalias 'man 'woman))

> Maybe it would be good enough to change
>
> 		(error "Can't find the %s manpage" args)
> into
> 		(error "Can't find the %s manpage or no man(1)" args)

Yup, that'd be fine.